import { Box } from "@chakra-ui/react";
import { getProjectModuleRequestList } from "@/app/lib/project/action";
import ProjectTable from "./components/table";

export interface ProjectProps {
  searchParams: {
    page: number;
    q: string;
  };
}

export default async function ProjectPage({ searchParams }: ProjectProps) {
  const fetchData = await getProjectModuleRequestList(searchParams); // Fetch the project list using search params

  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      {fetchData?.data && <ProjectTable data={fetchData.data} />}
    </Box>
  );
}
